# Poco::Net

# class HTTPBufferAllocator

Library: Net
Package: HTTP
Header: Poco/Net/HTTPBufferAllocator.h

## Description

A BufferAllocator for HTTP streams.

## Member Summary

Member Functions: allocate, deallocate

## Enumerations

### Anonymous

BUFFER_SIZE = 4096

## Member Functions

### allocate

static char * allocate(
std::streamsize size
);

### deallocate

static void deallocate(
char * ptr,
std::streamsize size
);